////////////////////////////////////////////////////////////////////////
//  
//  ALT Library File: KeyedGate 010123
//
//  Copyright (c) 2000, 2001 Kevin Forchione. All rights reserved.
//  Based on ADV.T (c) and STD.T (c) Michael Roberts.
//
//  This file is part of the ALT replacement library for ADV.T and 
//  STD.T and requires TADS 2.5.1 or later.
//
////////////////////////////////////////////////////////////////////////

#ifndef _KEYED_GATE_H_
#define _KEYED_GATE_H_

#include <floatingdestination.h>
#include <keyedgateway.h>

#pragma C+

/*
 *  KeyedGate: FloatingDestination, KeyedGateway
 *
 *  This is just a normal KeyedGateway that inherits the 
 *  FloatingDestination mix-in (making it a "floating" object).
 *
 *  Fill in the other properties (foundIn and leadsTo) as usual. If
 *  the Door has a key, set property myKey to the key object.
 */
class KeyedGate: FloatingDestination, KeyedGateway
;

#pragma C-

#endif /* _KEYED_GATE_H_ */
